/*

Theme Name: Dr-Mahmoud-Saad

Theme URI: https://www.be4e-marketing.com/

Description: Dr-Mahmoud-Saad Theme By Be Group

Author: Ahmed Ramy

Author URI: https://www.be4e-marketing.com/

Template: Divi

Version: 1.0.0

License: GNU General Public License v2 or later

License URI: https://www.be4e-marketing.com/

*/
div#et-main-area {
    margin-top: -100px;
}

a:where(:not(.wp-element-button)){
	text-decoration: none !important;
}

.ramy-home-services .dsm-entry-wrapper{
	position: absolute;
    bottom: 0;
    background: #fff;
    width: 98%;
	height: 230px;
}

.vid-button.et_pb_button[data-icon]:not([data-icon=""]):after {
    margin-right: 15px;
}



.et-zoom-in.et_pb_image:hover img,
.et-zoom-in .et_pb_image_wrap:hover img,
.et-zoom-in a:hover img {
    transform: scale(1.3); 
    transition: all 2s 0s ease;
}

.et-zoom-in,
.et-zoom-in a {
    overflow: hidden;
}

.et-zoom-in.et_pb_image img,
.et-zoom-in .et_pb_image_wrap img,
.et-zoom-in a img {
    transition: all 1s 0s ease; 
}

.ramy-home-add .et_pb_column:hover .et_pb_blurb_description, .ramy-home-add .et_pb_column:hover .et_pb_module_header, .ramy-home-add .et_pb_column:hover .et_pb_blurb_description a, .ramy-home-add .et_pb_column:hover .et_pb_main_blurb_image{color: #FFF !important;}

.ramh-home-form button {
    text-align: right;
}

.ramh-home-form button:after{
	position: absolute;
    left: 20px;
}

.ramy-social a.icon{background-position: center;}
/*style the Divi blog pagination buttons*/

.pagination .alignleft a,
.pagination .alignright a {
  color: #ffffff;
	background: #0071fc;
	border: 2px solid #0070fc;
	padding: .7em 1.3em;
	border-radius: 50px;
	text-transform: capitalize;
	transition: all 0.3s ease-in-out;
}

/*style the Divi blog pagination buttons on hover*/

.pagination .alignleft a:hover,
.pagination .alignright a:hover {
	background: transparent;
  color: #0070fc;
	border: 2px solid #0070fc;
	transition: all 0.3s ease-in-out;
}
/*style the wp-pagenavi pagination links*/

.wp-pagenavi a,
.wp-pagenavi span {
	color: #000000;
	background: #f1f3f5;
	font-size: 1em !important;
	line-height: 1em;
	font-weight: bold !important;
	padding: 0.45em 0.8em !important;
	border-radius: 100px;
	transition: all .5s;
}


/*style the wp-pagenavi current page number*/

.wp-pagenavi span.current {
	color: #ffffff !important;
	background: #0070fc !important;
	border-radius: 100px;
}


/*style the wp-pagenavi pagination links on hover*/

.wp-pagenavi a:hover {
	color: #ffffff!important;
	background: #0070fc!important;
}


/*style the wp-pagenavi pages text*/

.wp-pagenavi .pages {
	background: none;
}


/*remove border and center the wp-pagenavi links*/

.wp-pagenavi {
	border-top: none;
	text-align: center;
	display: flex;
    align-items: center;
    justify-content: center;
}

.maxbutton-1.maxbutton{
	margin-right: 25px;
}

.ramy-contact-dsm .dp-col {
      margin-bottom: 10px;
  }

/*.widget_text{
	background-color: #66cc66;
    padding: 15px;
    border-radius: 15px;
    text-align: center;
}
.widget_text .et_pb_section {
    background-color: transparent;
}
.widgettitle{
	color: #fff;
}

.widget_recent_entries{
	background-color: #66cc66;
    padding: 15px;
    border-radius: 15px;
}
.widget_recent_entries.et_pb_widget li a {
    color: #FFF;
}

div#block-8{
	margin-bottom: -22px;
	text-align:center;
	color: #FFF;
}*/
.et_pb_widget{margin-bottom: 0 !important;}
.et_pb_widget .dipe-cf7-styler{padding: 0 !important;}
.et_pb_widget .wp-block-separator.has-background:not(.is-style-dots){height: 2px !important; margin-bottom: 55px;}
.et_pb_widget_area h2:first-of-type{text-align: right !important;}
.et_pb_widget_area .et_pb_widget a{font-size: 20px !important; font-weight: 700;}

/*Sticky Buttons*/
.sticky-buttons{position:fixed; bottom:0; z-index:1000;}
.sticky-buttons.left{left:0;}
.sticky-buttons.right{right:0;}
.sticky-buttons a{display:flex; align-items:center; justify-content:center; margin:10px; color:#ccc; fill:#ccc; 
background-color:#002665; box-shadow:0 2px 5px 0px #777; transition:.4s all;}
.sticky-buttons.square a{border-radius:0;}
.sticky-buttons.rounded a{border-radius:5px;}
.sticky-buttons.round a{border-radius:50%;}
.sticky-buttons.small a{width:40px; height:40px; font-size:22px;}
.sticky-buttons.medium a{width:50px; height:50px; font-size:28px;}
.sticky-buttons a:hover{cursor:pointer; color:#fff; fill:#fff;}
.sticky-buttons a.whatsapp{background-color:#4dc247;}
.sticky-buttons a.messenger{background-color:#0084FF;}
.sticky-buttons.inactive a.sticky_toggler, .sticky-buttons a.sticky_toggler{transform:rotate(0deg);}
.sticky-buttons.active a.sticky_toggler{transform:rotate(180deg);}
.sticky-buttons a svg{width:75%; height:75%;}
.sticky-buttons .hidden-data{background-color:#002665; width:500px; margin:10px 0; padding:10px; font-size:16px; position:fixed; bottom:0; z-index:101; box-shadow:0 2px 5px 0px #777; transition:.4s all;}
.sticky-buttons.square .hidden-data{border-radius:0;}
.sticky-buttons.rounded .hidden-data, .sticky-buttons.round .hidden-data{border-radius:5px;}
.sticky-buttons.small .hidden-data{max-width:calc(100% - 70px);}
.sticky-buttons.medium .hidden-data{max-width:calc(100% - 80px);}
.sticky-buttons.left .hidden-data{left:0; transform:translateX(-100%);}
.sticky-buttons.active.left.small .hidden-data.active{transform:translateX(60px);}
.sticky-buttons.active.left.medium .hidden-data.active{transform:translateX(70px);}
.sticky-buttons.right .hidden-data{right:0; transform:translateX(100%);}
.sticky-buttons.active.right.small .hidden-data.active{transform:translateX(-60px);}
.sticky-buttons.active.right.medium .hidden-data.active{transform:translateX(-70px);}
.sticky-buttons .hidden-data form br{display:none;}
.sticky-buttons .hidden-data form textarea{height:auto; display:block; width:100%;}
.sticky-buttons .hidden-data form input{line-height:36px!important; display:block; width:100%;}
.sticky-buttons .hidden-data form .wpcf7-form-control-wrap{margin-top:5px!important; margin-bottom:5px!important; display:block;}